@font-face {
  font-family: pixel-digivolve-cyrillic;
  src: url('/pixel-digivolve-cyrillic.otf') format('opentype');
  font-display: swap;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background-color: #000;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.canvas {
  display: block;
  margin-right: auto;
  margin-left: auto;
}

.control {
  display: none;

  @media (hover: none) and (pointer: coarse) {
    position: absolute;
    display: block;
    width: 50%;
    height: 100%;
    touch-action: none;
    -webkit-tap-highlight-color: transparent;
  }
}

.control_rocket-one {
  left: 0;
}

.control_rocket-two {
  right: 0;
}

.overlay {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  width: 450px;
  padding: 32px;
  border-radius: 16px;
  text-align: center;
  font-family: 'pixel-digivolve-cyrillic', sans-serif;
  background-color: #000;
  color: #fff;

  @media (width <= 728px) {
    &:not(.overlay_countdown) {
      right: 20px;
      left: 20px;
      transform: translateY(-50%);
      width: unset;
    }
  }
}

.overlay_countdown {
  width: unset;
  font-size: 56px;
}

.overlay_hidden {
  display: none;
}

.overlay__text {
  font-size: 24px;
}

.overlay__button {
  margin-top: 24px;
  display: inline-block;
  border: 0;
  font-family: 'pixel-digivolve-cyrillic', sans-serif;
  font-size: 32px;
  background-color: transparent;
  color: #fee761;
  cursor: pointer;
  transition: 0.2s transform ease-in-out;

  @media (pointer: fine) and (hover: hover) {
    &:hover {
      transform: scale(1.2);
    }
  }
}
